#include <stdio.h>
#include <stdlib.h>

// Ler 10 notas e colocar em um vetor
// Validar os dados lidos, com notas entre 0.0 e 10.0 
// Exibir os dados do vetor na ordem direta e na ordem inversa

main()
{
   float notas[10];  // Vetor de Notas: notas[0] ate notas[9]
   int i;
   
   printf("\n>> Entrada de Dados <<\n");
   for (i=0; i < 10; i++)
   {
       while(1)
       {
         printf("Nota %d: ",i);
         scanf ("%f",&notas[i]);
         if (notas[i] >= 0.0 && notas[i] <= 10.0)
         {
           break;
         }
         printf("Nota invalida!\n");
       }
   }
   
   printf("\n>> Exibe na Ordem Direta <<\n"); 
   for (i=0; i < 10; i++)
   {
       printf("Nota %d: %.2f\n",i,notas[i]);
   }
   
   printf("\n>> Exibe na Ordem Inversa <<\n"); 
   for (i=9; i >= 0; i--)
   {
       printf("Nota %d: %.2f\n",i,notas[i]);
   }
   
   printf("\n");
   system("pause");
}
